1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Absoluter Pfad

Dieses Thema im Forum "Konfiguration" wurde erstellt von Ronnschi, 8. Januar 2017.

  1. Ronnschi

    Ronnschi Well-Known Member

    Registriert seit:
    8. Mai 2015
    Beiträge:
    97
    Zustimmungen:
    0
    Hallo Allerseits,

    ich habe große Probleme mit meiner WP Installation. Ein wichtiges Plugin funktioniert nicht mehr.

    Der HTTPS Tester liefert folgendes Ergebnis:


    1. [PASS]: Your WordPress install claims to support HTTPS Connections
    2. [PASS]: Checking that the HTTPS Root Certificate bundle exists and is accessible
    3. [PASS]: cURL is installed and supports SSL communication, cURL Details: version_number=471555; age=3; features=575005; ssl_version_number=0; version=7.50.3; host=i386-pc-solaris2.10; ssl_version=OpenSSL/1.0.2j; libz_version=1.2.8; protocols=dict,file,ftp,ftps,gopher,http,https,imap,imaps,pop3,pop3s,rtsp,smb,smbs,smtp,smtps,telnet,tftp
    4. [PASS]: OpenSSL is installed. OpenSSL 1.0.2j 26 Sep 2016 268443823
    5. [PASS]: Checking if stream_socket_client exists
    6. [PASS]: Checking if openssl_x509_parse exists
    7. [PASS]: Verifying api.wordpress.org resolves correctly.
    8. [FAIL]: [Streams] Communication with WordPress.org failed with error: [http_request_failed]: cURL error 7:
    9. [FAIL]: [Streams with a POST body] Communication with WordPress.org failed with error: [http_request_failed]: cURL error 7:
    10. [FAIL]: [cURL] Communication with WordPress.org failed with error: [http_request_failed]: cURL error 7:
    11. [FAIL]: [cURL with a POST body] Communication with WordPress.org failed with error: [http_request_failed]: cURL error 7:
    12. [INFO]: PHP Version: 5.6.27

    Der Hoster (Strato - ich weiß :wink:) meint, dass der absolute Pfad von (aktuell) /mnt/web9/d1/79/584361/htdocs in (Beispiel) /home/strato/www/wu/www.wunschname.de/htdocs/ geändert werden müsse.

    Meine Frage, wenn der aktuelle absolute Pfad falsch wäre, würde meine Seite doch gar nicht funktionieren, oder denke ich da falsch?


    Vielen Dank im Voraus

    Ronnschi
     
  2. JABA-Hosting

    JABA-Hosting Well-Known Member

    Registriert seit:
    29. März 2016
    Beiträge:
    2.295
    Zustimmungen:
    73
    Hast du die Fehlermeldung schon länger?

    Mit dem Pfad kann es nichts zu tun haben, da die Verbindung nicht funktioniert.

    Ich vermute einfach das die IPs von WordPress irgendwie in die Firewall von Strato gelandet sind oder auch umgekehrt das WordPress die IPs von Strato filtert.
     
  3. Hille

    Hille Well-Known Member

    Registriert seit:
    22. Januar 2012
    Beiträge:
    7.967
    Zustimmungen:
    8
    Sieht eher aus, als ob php-curl nicht installiert wäre
     
  4. Edi

    Edi Well-Known Member

    Registriert seit:
    26. Juli 2006
    Beiträge:
    3.732
    Zustimmungen:
    0
    Hat das Problem oder das Plugin einen Namen. ;)
     
  5. JABA-Hosting

    JABA-Hosting Well-Known Member

    Registriert seit:
    29. März 2016
    Beiträge:
    2.295
    Zustimmungen:
    73
    Die Fehlermeldung lautet:

    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    [/COLOR]Das ist ein Error Code von Curl, also kann man davon ausgehen das Curl installiert ist.
     
  6. danielgoehr

    danielgoehr Well-Known Member

    Registriert seit:
    13. Juli 2016
    Beiträge:
    2.249
    Zustimmungen:
    23
    Vielleicht bin ich auf der falschen Fährte, weil ich das Tool nicht kenne (und es ja auch keinen Link zur Seite gibt).

    Aber der https Tester liefert folgenden Fehler:
    Warum denn eigentlich http_request und nicht https_request? Mixed content?

    Abgesehen davon ist mir aber auch noch nicht ganz klar, was der Zusammenhang zwischen "Plugin geht nicht mehr", einem Testergebnis von HTTPS Tester und einem absoluten Pfad ist.

    Ich glaube, es wäre nützlich zu wissen, um welches Plugin es sich handelt, was das Fehlerbild ist und seit wann es auftritt.
     
  7. Ronnschi

    Ronnschi Well-Known Member

    Registriert seit:
    8. Mai 2015
    Beiträge:
    97
    Zustimmungen:
    0
    Vielen Dank für eure Hilfe :)

    Es handelt sich um die Internetseite eines Autohandels:http://goo.gl/aL6HQH

    Das Plugin, importiert alle Fahrzeugdaten von mobile.de via API auf die Website.
    Seit kurzem funktioniert das nicht mehr korrekt. Ich habe nichts an WP geändert. Es fiel mir zufällig auf, dass die Daten ohne Fahrzeugbilder importiert werden.

    Das Errorlog liefert folgendes immer wieder:

    01.01.2017 09:31:32 fgm-automobil.de [client 192.168.48.0] Premature end of script headers: wp-cron.php, referer: http://fgm-automobil.de/wp-cron.php?doing_wp_cron=1483259370.9498128890991210937500
    01.01.2017 10:27:21 fgm-automobil.de [client 192.168.48.0] PHP Warning: getimagesize(http://i.ebayimg.com/00/s/NDI4WDY0MA==/z/K3AAAOSw-4BXYo4G/$_57.JPG): failed to open stream: Connection refused in /mnt/web9/d1/61/585961/htdocs/FGM/wp-content/plugins/mobilede_wordpress/mobilede-main.php on line 1018, referer: http://fgm-automobil.de/wp-cron.php?doing_wp_cron=1483262798.3746330738067626953125
    Leider kann ich damit nicht viel anfangen. Es funktionierte stets korrekt - auch ohne das ich den absoluten Pfad (laut Strato) korrekt angegebene hätte.
    Ich habe das Plugin bereits gelöscht und neu installiert. Leider ohne Erfolg.
     
  8. Hille

    Hille Well-Known Member

    Registriert seit:
    22. Januar 2012
    Beiträge:
    7.967
    Zustimmungen:
    8
    Stimmt, hast Recht, habe das falsch gelesen.

    Ich denke, das die Vermutung von daniel stimmen könnte bzw. hier eine fehlerhafte vhost Konfiguration vorliegt. Die Seite ist einmal per http und https aufrufbar. Was ist denn nun eigentlich als Blog bzw Site URL eingetragen? Das Zertifikat wurde am 04.01.17 ausgestellt.
     
    #8 Hille, 8. Januar 2017
    Zuletzt bearbeitet: 8. Januar 2017
  9. danielgoehr

    danielgoehr Well-Known Member

    Registriert seit:
    13. Juli 2016
    Beiträge:
    2.249
    Zustimmungen:
    23
    Wie heißt denn das Plugin?
    Ich finde nur Premium Plugins, die sowas machen. In dem Fall könntest du ja mal den Support kontaktieren.
     
  10. Ronnschi

    Ronnschi Well-Known Member

    Registriert seit:
    8. Mai 2015
    Beiträge:
    97
    Zustimmungen:
    0
    Hi Daniel,

    es handelt sich um ein Premium Plugin von Neusued. Es funktionierte stets einwandfrei. Es gab kein Update, oder irgend eine Änderung an der Website.
    Seit Mitte Dezember funktioniert es nicht mehr richtig und Strato erzählt mir etwas vom absoluten Pfad, der falsch wäre. Die Seite läuft so seit zwei Jahren.

    Seltsamerweise sind die Ergebnisse vom HTTPS Tester nach jedem Aufruf anders. Mal gehts, mal nicht. Mal kann ich z.B. auch Plugins direkt über das Backend installieren, mal nicht.

    @Hille - Das SSL Zertifikat habe ich tatsächlich am 4.1 aktiviert. War inklusive, brachte aber auch gar nichts.

    Ich bin echt am verzweifeln :(

    Gruß aus Berlin, nach Berlin
     
  11. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    4.282
    Zustimmungen:
    284
    Keine Ahnung was hier die Ursache sein kann, nur eine Anmerkung am Rande:

    Bei einem Strato-Account hier im Umfeld hatte sich im letzten Jahr irgendwann "spontan" der interne absolute Pfad geändert, was dazu geführt hat, dass z.B. BackWPUp keine Backups mehr gespeichert hat, weil es den absoluten Pfad nutzen wollte.

    Zwischen Plugin löschen und neu installieren könnte man also mal in die DB in die Tabelle wp_options schauen, ob dort ein ggf. veralteter absoluter Pfad "überlebt" weil das Plugin seine Einstellungen nicht löscht.
     
  12. JABA-Hosting

    JABA-Hosting Well-Known Member

    Registriert seit:
    29. März 2016
    Beiträge:
    2.295
    Zustimmungen:
    73
    Die Fehlermeldung ist doch deutlich:

    Failed to open ... connection refused ...

    Es kann keine Verbindung zur API aufgebaut werden.

    Entweder die Verbindung wird durch Strato blockiert oder die API URL hat sich geändert.
     
  13. Hille

    Hille Well-Known Member

    Registriert seit:
    22. Januar 2012
    Beiträge:
    7.967
    Zustimmungen:
    8
    Einfach mal ein Zertifikat zu aktivieren, ist keine gute Idee. Da liegen noch einige Arbeitsschritte mehr dahinter. Deaktiviere das doch testweise mal.
     
  14. danielgoehr

    danielgoehr Well-Known Member

    Registriert seit:
    13. Juli 2016
    Beiträge:
    2.249
    Zustimmungen:
    23
    Das hatte ich auch vermutet wegen des "connection refused. Ein direkter Aufruf der URL klappt aber."

    Aber nochmal: Wenn es ein Premium Plugin ist, wende dich doch mal an den Support. Der kennt sein eigenes Plugin ja am besten und kann vielleicht am ehesten helfen...
     
  15. Ronnschi

    Ronnschi Well-Known Member

    Registriert seit:
    8. Mai 2015
    Beiträge:
    97
    Zustimmungen:
    0
    Ich hatte den Entwickler bereits kontaktiert. Dieser kann damit leider nichts anfangen. Er beruft sich darauf, dass es keinerlei Änderungen am Plugin gab.

    Wie kann es denn sein, dass cURL mal funktioniert und dann plötzlich einfach nicht mehr? Kann das tatsächlich mit dem absoluten Pfad zu tun haben?
    Ich habe etwas Angst, die Seite komplett zu zerschießen.
     
  16. JABA-Hosting

    JABA-Hosting Well-Known Member

    Registriert seit:
    29. März 2016
    Beiträge:
    2.295
    Zustimmungen:
    73
    Teste das Plugin auf einem anderen Hoster.
     
  17. Micha1

    Micha1 New Member

    Registriert seit:
    13. Juni 2017
    Beiträge:
    1
    Zustimmungen:
    0
    Ich hatte ein ähnliches Problem. Es liegt darin, dass das SSL Zertifikat meines Strato PowerWeb Basic Pakets bestimmte Aufrufe durch Plugins blockiert, die auf die Seite zugreifen wollen. Bei mir wurde das Problem durch das Wordpress Plugin "ShortPixel Image Optimizer" (Bildkomprimierung) hervorgerufen. Lauf Strato kann man das leider nicht ändern :((
     
  18. Hille

    Hille Well-Known Member

    Registriert seit:
    22. Januar 2012
    Beiträge:
    7.967
    Zustimmungen:
    8
    Ein SSL Zertifikat blockt keine Aufrufe oder Plugins. Wenn dann liegt das an der Server Konfiguration deines Spitzenhosters
     
  19. higginsa1

    higginsa1 Well-Known Member

    Registriert seit:
    1. November 2016
    Beiträge:
    126
    Zustimmungen:
    0
    Bin auch bei Strato und ich würde auch gerne ShortPixel einsetzen, laut dieser Mitteilung scheue ich mich ein wenig? Ist dies begründet?
     
  20. Hadestid

    Hadestid Member

    Registriert seit:
    7. November 2018
    Beiträge:
    11
    Zustimmungen:
    0
    weil es den absoluten Pfad nutzen wollte.
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden